Bug 239412 - Xorg receives SIGSEGV after attempt to enable desktop effects on Via VT8378
Xorg receives SIGSEGV after attempt to enable desktop effects on Via VT8378
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-openchrome (Show other bugs)
rawhide
All Linux
medium Severity high
: ---
: ---
Assigned To: Xavier Bachelot
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-08 05:34 EDT by Michal Ingeli
Modified: 2008-08-02 19:40 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-10 05:38:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg log after attempt to enable composite effects on Via S3 unichrome (46.43 KB, text/plain)
2007-05-08 05:34 EDT, Michal Ingeli
no flags Details

  None (edit)
Description Michal Ingeli 2007-05-08 05:34:14 EDT
Description of problem:

Attempt to enable composite effects on my Via VT8378 (S3 Unichrome)
is unsuccessful and results in what is quoted below added to X11 server log.
See the attached file for a complete log.

Version-Release number of selected component (if applicable):

All updates as of today applied.

How reproducible:

Allways
  
Actual results:

Backtrace:
0: /usr/bin/Xorg(xf86SigHandler+0x81) [0x80da1e1]
1: [0x25f420]
2: /usr/lib/dri/unichrome_dri.so(viaGetLock+0x4b) [0xf814ab]
3: /usr/lib/dri/unichrome_dri.so(viaWaitIdle+0x1d9) [0xf85959]
4: /usr/lib/dri/unichrome_dri.so(viaDestroyContext+0x4f) [0xf8195f]
5: /usr/lib/dri/unichrome_dri.so [0xf7d207]
6: /usr/lib/xorg/modules/extensions/libglx.so [0x1da457]
7: /usr/lib/xorg/modules/extensions/libglx.so(__glXFreeContext+0x55) [0x1b5b75]
8: /usr/lib/xorg/modules/extensions/libglx.so [0x1b5bb7]
9: /usr/bin/Xorg(FreeClientResources+0x85) [0x8071035]
10: /usr/bin/Xorg(CloseDownClient+0x1a8) [0x8081c58]
11: /usr/bin/Xorg(Dispatch+0x2b9) [0x80881f9]
12: /usr/bin/Xorg(main+0x485) [0x806fa65]
13: /lib/libc.so.6(__libc_start_main+0xdc) [0x62bf2c]
14: /usr/bin/Xorg(FontFileCompleteXLFD+0x1e9) [0x806eda1]

Additional info:

The hardware profile is:
http://smolt.fedoraproject.org/show?UUID=fccd6632-25d1-4dc7-9434-dcc46f5b8964
Comment 1 Michal Ingeli 2007-05-08 05:34:14 EDT
Created attachment 154325 [details]
Xorg log after attempt to enable composite effects on Via S3 unichrome
Comment 2 Adam Jackson 2007-05-08 14:40:48 EDT
It wouldn't work anyway, of course, since the via driver doesn't have support
for non-power-of-two textures.  But it shouldn't crash...
Comment 3 Lubomir Kundrak 2007-05-09 15:41:36 EDT
After attempt to launch aterm, Xorg server just hangs, outputting the very same
backtrace to Xorg log:

Backtrace:
0: /usr/bin/Xorg(xf86SigHandler+0x81) [0x80da1e1]
1: [0x3fb420]
2: /usr/lib/dri/unichrome_dri.so(viaGetLock+0x4b) [0xdf14ab]
...
14: /usr/bin/Xorg(FontFileCompleteXLFD+0x1e9) [0x806eda1]

Fatal server error:
Caught signal 11.  Server aborting

(II) AIGLX: Suspending AIGLX clients for VT switch
Comment 4 Adam Jackson 2007-11-28 11:10:50 EST
Mass migration: via -> openchrome.
Comment 5 Lubomir Kundrak 2007-11-28 11:19:14 EST
Adam, Xavier: Should I retest this? Does openchrome work now? Is it already
migrated to libpciaccess?
Comment 6 Xavier Bachelot 2007-11-28 15:58:21 EST
(In reply to comment #5)
> Adam, Xavier: Should I retest this? Does openchrome work now? Is it already
> migrated to libpciaccess?

No, openchrome doesn't have libpciaccess support yet, but someone is working on
this. Still no support for non-power-of-two either.
However, the driver is available in F7 and F8, so it would be nice if you can
retest if it's still crashing or not.
Comment 7 Xavier Bachelot 2008-01-20 17:25:13 EST
libpciaccess support has been added to the driver in rawhide. Please re-test if
you can, thanks.
Comment 8 Matěj Cepl 2008-02-21 09:45:34 EST
Reporter, could you please reply to the previous question? If you won't reply in
one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.
Comment 9 Matěj Cepl 2008-04-10 05:38:34 EDT
Since there are insufficient details provided in this report for us to
investigate the issue further, and we have not received feedback to the
information we have requested above, we will assume the problem was not
reproducible, or has been fixed in one of the updates we have released for the
reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest
update of their distribution, and if this issue turns out to still be
reproducible in the latest update, please reopen this bug with additional
information.

Closing as INSUFFICIENT_DATA.

Note You need to log in before you can comment on or make changes to this bug.